#!/usr/bin/env python

from distutils.core import setup
import glob
import os

from Genesis import __version__ as VERSION

#Create an array with all the locale filenames
I18NFILES = []
for filepath in glob.glob("locale/*/LC_MESSAGES/*.mo"):
	targetpath = os.path.dirname(os.path.join("share/", filepath))
	I18NFILES.append((targetpath, [filepath]))

dist = setup(name='genesis',
	version=VERSION,
	author='Frederik Elwert',
	author_email='frederik.elwert@web.de',
	maintainer='Frederik Elwert',
	maintainer_email='frederik.elwert@web.de',
	description='Graphical frontend to SyncEvolution.',
	long_description='Genesis is a graphical frontend for SyncEvolution written in PyGTK. It makes SyncEvolution accessible without having to use a command line and provides graphical feedback of transaction results.',
	url='https://launchpad.net/genesis-sync',
	download_url='https://launchpad.net/genesis-sync/+download',
	license='GNU GPL',
	platforms='linux',
	scripts=['bin/genesis'],
	packages=['Genesis'],
	data_files=[
		('share/genesis/', glob.glob("Genesis/*.glade")
		                 + ['Genesis/genesis.spec.ini']),
		('share/icons/hicolor/22x22/apps', ['icons/genesis.png']),
		('share/icons/hicolor/scalable/apps', ['icons/genesis.svg']),
		('share/pixmaps', ['icons/genesis.png']),
		('share/genesis/pixmaps', glob.glob("icons/genesis*.png")
		                        + ['icons/genesis.svg']),
		('share/applications', ['bin/genesis.desktop']),
		] + I18NFILES
)

